## sinntp 1.4

=== doc/manpages/Makefile ===
XSL = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
XSLTPROC = xsltproc --nonet --param man.charmap.use.subset 0

XML_FILES = $(wildcard *.xml)
MAN_FILES = $(XML_FILES:.xml=.1)

.PHONY: all
all: $(MAN_FILES)

%.1: %.xml
	$(XSLTPROC) $(XSL) $(<)

.PHONY: clean
clean:
	rm -f $(MAN_FILES)

# vim:ts=4

## sinntp 1.3.1

=== debian/changelog ===
sinntp (1.3.1-2) unstable; urgency=low

  [ Piotr Lewandowski ]
  * Bump standards version to 3.8.4 (no changes needed).

  [ Jakub Wilk ]
  * Update my e-mail addresses.
  * Switch to source format 3.0 (quilt).
  * Update the watch file.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 13 May 2010 13:21:57 +0200

sinntp (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: use simpler URL for Homepage field.

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Wed, 13 Jan 2010 10:48:41 +0000

sinntp (1.3-1) unstable; urgency=low

  * Initial release (closes: #542262).

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Mon, 14 Sep 2009 20:59:12 +0200

=== debian/control ===
Source: sinntp
Section: news
Priority: optional
Maintainer: Piotr Lewandowski <piotr.lewandowski@gmail.com>
Uploaders: Jakub Wilk <jwilk@debian.org>, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), python-support (>= 0.5.3)
Standards-Version: 3.8.4
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/sinntp/trunk/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/sinntp/trunk/
Homepage: http://sinntp.googlecode.com/

Package: sinntp
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-xdg
Description: tiny non-interactive NNTP client
 sinntp is a tiny NNTP client originally designed to work in non-interactive
 mode. Following commands are supported:
  - nntp-push: sending articles to the server,
  - nntp-pull: fetching new articles to the mbox file,
  - nntp-list: listing available newsgroups,
  - nntp-get: downloading individual messages in RFC822 format.

=== debian/rules ===
#!/usr/bin/make -f

%: 
	dh $@

# vim:ts=4 sw=4 noet

## sinntp 1.3.2

=== debian/changelog ===
sinntp (1.3.2-1) unstable; urgency=low

  * New upstream release (closes: #585839).

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Thu, 24 Jun 2010 11:24:38 +0200

## sinntp 1.4

=== debian/changelog ===
sinntp (1.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release (closes: #635613).
  * Bump standards version to 3.9.2 (no changes needed).
  * Update debian/copyright.
  * Run tests at build time. Add python-all to Build-Depends.
  * Bump minimum required version of debhelper to 7.0.50 (for overrides).
  * Remove myself from uploaders.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 15 Aug 2011 23:48:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: news
 Priority: optional
 Maintainer: Piotr Lewandowski <piotr.lewandowski@gmail.com>
-Uploaders: Jakub Wilk <jwilk@debian.org>, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7), python-support (>= 0.5.3)
-Standards-Version: 3.8.4
+Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 7.0.50~), python-all, python-support (>= 0.5.3)
+Standards-Version: 3.9.2
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/sinntp/trunk/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/sinntp/trunk/
 Homepage: http://sinntp.googlecode.com/

=== debian/rules ===
#!/usr/bin/make -f

%: 
	dh $@

override_dh_install:
	dh_install
	rm -f debian/*/usr/share/sinntp/tests.py

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; \
	for python in $(shell pyversions -s); do \
		$$python tests.py; \
	done
endif

# vim:ts=4 sw=4 noet

## sinntp 1.5

=== doc/manpages/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 %.1: %.xml
 	$(XSLTPROC) $(XSL) $(<)
+	sed -i -e  '/^[.]TH/ { s/"[0-9/]\{10\}"/"$(shell date +%F)"/ }' $(@)
 
 .PHONY: clean
 clean:

=== debian/changelog ===
sinntp (1.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #786252.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Aug 2015 13:54:35 +0200

sinntp (1.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
    + Implement an option to ignore ~/.netrc (closes: #668927). Thanks to Dirk
      Griesbach for the bug report and the initial patch.
  * Drop dependency on python-xdg, no longer used.
  * Bump standards version to 3.9.3.
    + Update debian/copyright URI.
  * Update the copyright file.
  * Use xargs to iterate over all Python versions.
  * Run tests with --verbose.
  * Add DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 18 Apr 2012 23:10:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Piotr Lewandowski <piotr.lewandowski@gmail.com>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all, python-support (>= 0.5.3)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), python-all, dh-python
+Standards-Version: 3.9.3
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/sinntp/trunk/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/sinntp/trunk/
 Homepage: http://sinntp.googlecode.com/
 
 Package: sinntp
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-xdg
+Depends: ${misc:Depends}, ${python:Depends}
 Description: tiny non-interactive NNTP client
  sinntp is a tiny NNTP client originally designed to work in non-interactive
  mode. Following commands are supported:

=== debian/rules ===
#!/usr/bin/make -f

python_all = pyversions -r | tr ' ' '\n' | xargs -t -I {} env {}

%: 
	dh $@ --with python2

override_dh_install:
	dh_install
	rm -f debian/*/usr/share/sinntp/tests.py

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	$(python_all) tests.py --verbose
endif

# vim:ts=4 sw=4 noet

=== debian/tests/control ===
Tests: tests
Features: no-build-needed

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://sinntp.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/sinntp/downloads/detail[?]name=sinntp-([0-9.]+).tar.gz&.*

## sinntp 1.6

=== doc/manpages/Makefile ===
--- 
+++ 
@@ -15,4 +15,4 @@
 clean:
 	rm -f $(MAN_FILES)
 
-# vim:ts=4
+# vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
sinntp (1.6-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Check upstream PGP signatures.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 13:08:19 +0000

sinntp (1.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 18:03:09 +0100

sinntp (1.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Wed, 20 Apr 2022 20:25:50 -0400

sinntp (1.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/tests/tests: sinntp is an application, so only test with the
    default Python 3 version. (Closes: #975518)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Nov 2020 14:33:36 +0100

sinntp (1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/tests/control: added restriction to fix CI test. Thanks to
    Paul Gevers <elbrus@debian.org>. (Closes: #953908)

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Thu, 11 Jun 2020 14:29:16 -0300

sinntp (1.6-1) unstable; urgency=medium

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/rules: Remove trailing whitespaces.

  [ Mattia Rizzolo ]
  * d/clean: drop now unneeded rules, dh_clean already does that by itself.
  * Bump debhelper compat level to 12, and use debhelper-compat instead of
    the debian/compat file
  * Drop long obsolete debian/pyversions file.
  * d/tests/control: Drop unknown Features: no-build-needed.
  * d/control:
    + Drop Piotr Lewandowski from uploaders at his request to mia@.
    + Bump Standards-Version to 4.4.1:
      - Set Rules-Requires-Root: no.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 12 Jan 2020 13:45:54 +0100

sinntp (1.6-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert the autopkgtest to Python 3.
  * Remove the old homepage from debian/copyright.

 -- Adrian Bunk <bunk@debian.org>  Mon, 06 Jan 2020 21:33:26 +0200

sinntp (1.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Uses Python 3. (Closes: #938489)
  * Updated Homepage and debian/watch. (Closes: #783971, #827146)

 -- Adrian Bunk <bunk@debian.org>  Thu, 26 Dec 2019 08:55:37 +0200

=== debian/control ===
Source: sinntp
Section: news
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/sinntp
Vcs-Git: https://salsa.debian.org/python-team/packages/sinntp.git
Homepage: https://jwilk.net/software/sinntp

Package: sinntp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: tiny non-interactive NNTP client
 sinntp is a tiny NNTP client originally designed to work in non-interactive
 mode. Following commands are supported:
  - nntp-push: sending articles to the server,
  - nntp-pull: fetching new articles to the mbox file,
  - nntp-list: listing available newsgroups,
  - nntp-get: downloading individual messages in RFC822 format.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	rm -f debian/*/usr/share/sinntp/tests.py

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	python3 tests.py --verbose
endif

=== debian/tests/control ===
Tests: tests
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,pgpmode=mangle https://github.com/jwilk/sinntp/releases .*/sinntp-([0-9.]+)\.tar\.gz
